#  Template NodeJS build

#  This template allows you to validate your NodeJS code.
#  The workflow allows running tests and code linting on the default branch.

image: node:16

pipelines:
  branches:
    master:
       - step:
          script:
            - npm install # required to install zip
            - npm run build
          artifacts:
            - build/**
       - step:
          script:
            - git ftp push -u "$FTP_USERNAME_QA" -p "$FTP_PASSWORD_QA" ftp://$FTP_HOST_QA/public_html/pestelite.overdriveqa.co.za
